﻿using Discord.WebSocket;

namespace MinecraftDiscordBot.Commands;

public interface ICommandHandler {
    Task HandleCommand(SocketUserMessage message, string[] parameters, CancellationToken ct);
}

public interface ICommandHandler<T> {
    Task<T> HandleCommand(SocketUserMessage message, string[] parameters, CancellationToken ct);
}